# Class WsHttpSessionBindingListener

java.lang.Object
org.apache.tomcat.websocket.server.WsHttpSessionBindingListener

All Implemented Interfaces:
  `Serializable, EventListener, HttpSessionBindingListener`

public class WsHttpSessionBindingListener extends Object implements HttpSessionBindingListener, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsHttpSessionBindingListener(String key)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `void`
  `valueUnbound(HttpSessionBindingEvent event)`
  Notifies the object that it is being unbound from a session and identifies the session.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface HttpSessionBindingListener

  `valueBound`

- ## Constructor Details

  - ### WsHttpSessionBindingListener

    public WsHttpSessionBindingListener(String key)

- ## Method Details

  - ### getKey

    public String getKey()

  - ### valueUnbound

    public void valueUnbound(HttpSessionBindingEvent event)
    Description copied from interface: `javax.servlet.http.HttpSessionBindingListener`
    Notifies the object that it is being unbound from a session and identifies the session. The default implementation is a NO-OP.
    Specified by:
      `valueUnbound` in interface `HttpSessionBindingListener`
    Parameters:
      `event` - the event that identifies the session
    See Also:
      - `HttpSessionBindingListener.valueBound(HttpSessionBindingEvent)`